blk_queue_end_tag
Prev | Chapter 19. Block Devices | Next

## Name

blk_queue_end_tag — end tag operations for a request

## Synopsis

`void blk_queue_end_tag (` | struct request_queue * | q,
| struct request * | rq`)`;

## Arguments

`q`

  the request queue for the device

`rq`

  the request that has completed

## Description

Typically called when `end_that_request_first` returns 0, meaning all transfers have been done for a request. It's important to call this function before `end_that_request_last`, as that will put the request back on the free list thus corrupting the internal tag list.

## Notes

queue lock must be held.

Prev | Up | Next
blk_queue_resize_tags | Home | blk_queue_start_tag